# resize-private.h File Reference

Go to the source code of this file.

## Typedefs

typedef struct _ResizeFilter | ResizeFilter

## Functions

MagickExport MagickRealType | GetResizeFilterSupport (const ResizeFilter *)
MagickExport MagickRealType | GetResizeFilterWeight (const ResizeFilter *, const MagickRealType)
MagickExport ResizeFilter * | AcquireResizeFilter (const Image *, const FilterTypes, const MagickRealType, const MagickBooleanType, ExceptionInfo *)
MagickExport ResizeFilter ** | DestroyResizeFilter (ResizeFilter *)
MagickExport void | SetResizeFilterSupport (ResizeFilter *, const MagickRealType)

## Typedef Documentation

typedef struct _ResizeFilter ResizeFilter

## Function Documentation

MagickExport ResizeFilter* AcquireResizeFilter | ( | const Image * | ,
|  | const | FilterTypes,
|  | const | MagickRealType,
|  | const | MagickBooleanType,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport ResizeFilter* * DestroyResizeFilter | ( | ResizeFilter * |  | ) |

MagickExport MagickRealType GetResizeFilterSupport | ( | const ResizeFilter * |  | ) |

MagickExport MagickRealType GetResizeFilterWeight | ( | const ResizeFilter * | ,
|  | const | MagickRealType |
| ) |  |  |

MagickExport void SetResizeFilterSupport | ( | ResizeFilter * | ,
|  | const | MagickRealType |
| ) |  |  |